@import './shared.css';

:host {
	display: block;
	font-size: var(--block-font-size);
	border-left: var(--block-border-width) solid var(--block-border-colour);
	margin: 0.3em 0;
}

div {
	display: flex;
	align-items: baseline;
	padding: 0.4em var(--block-padding-left);
}

div > span:first-child {
	width: var(--tab-time);
	white-space: nowrap;
	flex-shrink: 0;
}

div > span:first-child + span {
	padding-left: calc(var(--tab-title) - var(--tab-time));
}

:host {
	--break-bg:     #f0f0f0;
	--break-colour: #888;
	background: var(--break-bg);
	color: var(--break-colour);
}
